/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * normalize(np.float64(-1.3333333333333333)lf) => np.float64(-1.0)lf
 * normalize(np.float64(0.85)lf) => np.float64(1.0)lf
 */
#version 400

void main()
{
  double[distance(normalize(np.float64(-1.3333333333333333)lf), np.float64(-1.0)lf) <= np.float64(1e-05)lf ? 1 : -1] array0;
  double[distance(normalize(np.float64(0.85)lf), np.float64(1.0)lf) <= np.float64(1e-05)lf ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
