/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (+ mat3x4(np.float32(1.42), np.float32(1.8), np.float32(-1.88), np.float32(1.37), np.float32(-0.86), np.float32(-1.74), np.float32(-0.37), np.float32(1.9), np.float32(0.27), np.float32(0.04), np.float32(0.43), np.float32(0.71))) => mat3x4(np.float32(1.42), np.float32(1.8), np.float32(-1.88), np.float32(1.37), np.float32(-0.86), np.float32(-1.74), np.float32(-0.37), np.float32(1.9), np.float32(0.27), np.float32(0.04), np.float32(0.43), np.float32(0.71))
 * (+ mat3x4(np.float32(-1.72), np.float32(-0.31), np.float32(0.14), np.float32(0.4), np.float32(0.09), np.float32(-1.58), np.float32(0.18), np.float32(-0.77), np.float32(0.45), np.float32(1.92), np.float32(-0.56), np.float32(1.76))) => mat3x4(np.float32(-1.72), np.float32(-0.31), np.float32(0.14), np.float32(0.4), np.float32(0.09), np.float32(-1.58), np.float32(0.18), np.float32(-0.77), np.float32(0.45), np.float32(1.92), np.float32(-0.56), np.float32(1.76))
 */
#version 120

void main()
{
  float[pow(distance((+ mat3x4(np.float32(1.42), np.float32(1.8), np.float32(-1.88), np.float32(1.37), np.float32(-0.86), np.float32(-1.74), np.float32(-0.37), np.float32(1.9), np.float32(0.27), np.float32(0.04), np.float32(0.43), np.float32(0.71)))[0], vec4(np.float32(1.42), np.float32(1.8), np.float32(-1.88), np.float32(1.37))), 2) + pow(distance((+ mat3x4(np.float32(1.42), np.float32(1.8), np.float32(-1.88), np.float32(1.37), np.float32(-0.86), np.float32(-1.74), np.float32(-0.37), np.float32(1.9), np.float32(0.27), np.float32(0.04), np.float32(0.43), np.float32(0.71)))[1], vec4(np.float32(-0.86), np.float32(-1.74), np.float32(-0.37), np.float32(1.9))), 2) + pow(distance((+ mat3x4(np.float32(1.42), np.float32(1.8), np.float32(-1.88), np.float32(1.37), np.float32(-0.86), np.float32(-1.74), np.float32(-0.37), np.float32(1.9), np.float32(0.27), np.float32(0.04), np.float32(0.43), np.float32(0.71)))[2], vec4(np.float32(0.27), np.float32(0.04), np.float32(0.43), np.float32(0.71))), 2) <= np.float32(1.8945299e-09) ? 1 : -1] array0;
  float[pow(distance((+ mat3x4(np.float32(-1.72), np.float32(-0.31), np.float32(0.14), np.float32(0.4), np.float32(0.09), np.float32(-1.58), np.float32(0.18), np.float32(-0.77), np.float32(0.45), np.float32(1.92), np.float32(-0.56), np.float32(1.76)))[0], vec4(np.float32(-1.72), np.float32(-0.31), np.float32(0.14), np.float32(0.4))), 2) + pow(distance((+ mat3x4(np.float32(-1.72), np.float32(-0.31), np.float32(0.14), np.float32(0.4), np.float32(0.09), np.float32(-1.58), np.float32(0.18), np.float32(-0.77), np.float32(0.45), np.float32(1.92), np.float32(-0.56), np.float32(1.76)))[1], vec4(np.float32(0.09), np.float32(-1.58), np.float32(0.18), np.float32(-0.77))), 2) + pow(distance((+ mat3x4(np.float32(-1.72), np.float32(-0.31), np.float32(0.14), np.float32(0.4), np.float32(0.09), np.float32(-1.58), np.float32(0.18), np.float32(-0.77), np.float32(0.45), np.float32(1.92), np.float32(-0.56), np.float32(1.76)))[2], vec4(np.float32(0.45), np.float32(1.92), np.float32(-0.56), np.float32(1.76))), 2) <= np.float32(1.3664e-09) ? 1 : -1] array1;
  gl_FragColor = vec4(array0.length() + array1.length());
}
