/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * sign(vec3(np.float32(-1.5), np.float32(-0.75), np.float32(0.0))) => vec3(np.float32(-1.0), np.float32(-1.0), np.float32(0.0))
 * sign(vec3(np.float32(0.75), np.float32(1.5), np.float32(-1.5))) => vec3(np.float32(1.0), np.float32(1.0), np.float32(-1.0))
 */
#version 120

void main()
{
  float[distance(sign(vec3(np.float32(-1.5), np.float32(-0.75), np.float32(0.0))), vec3(np.float32(-1.0), np.float32(-1.0), np.float32(0.0))) <= np.float32(1.4142135e-05) ? 1 : -1] array0;
  float[distance(sign(vec3(np.float32(0.75), np.float32(1.5), np.float32(-1.5))), vec3(np.float32(1.0), np.float32(1.0), np.float32(-1.0))) <= np.float32(1.7320508e-05) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
