/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * round(vec4(np.float32(-2.0), np.float32(-1.4285715), np.float32(-0.85714287), np.float32(-0.2857143))) => vec4(np.float32(-2.0), np.float32(-1.0), np.float32(-1.0), np.float32(-0.0))
 * round(vec4(np.float32(0.2857143), np.float32(0.85714287), np.float32(1.4285715), np.float32(2.0))) => vec4(np.float32(0.0), np.float32(1.0), np.float32(1.0), np.float32(2.0))
 */
#version 130

void main()
{
  float[distance(round(vec4(np.float32(-2.0), np.float32(-1.4285715), np.float32(-0.85714287), np.float32(-0.2857143))), vec4(np.float32(-2.0), np.float32(-1.0), np.float32(-1.0), np.float32(-0.0))) <= np.float32(2.4494897e-05) ? 1 : -1] array0;
  float[distance(round(vec4(np.float32(0.2857143), np.float32(0.85714287), np.float32(1.4285715), np.float32(2.0))), vec4(np.float32(0.0), np.float32(1.0), np.float32(1.0), np.float32(2.0))) <= np.float32(2.4494897e-05) ? 1 : -1] array1;
  gl_FragColor = vec4(array0.length() + array1.length());
}
