/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * matrixCompMult(dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf), dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf)) => dmat2(np.float64(2.5600000000000005)lf, np.float64(2.3409)lf, np.float64(0.5776)lf, np.float64(1.0)lf)
 * matrixCompMult(dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf), dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf)) => dmat2(np.float64(-0.20800000000000002)lf, np.float64(-2.142)lf, np.float64(-0.6612)lf, np.float64(-1.4)lf)
 * matrixCompMult(dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf), dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf)) => dmat2(np.float64(-0.20800000000000002)lf, np.float64(-2.142)lf, np.float64(-0.6612)lf, np.float64(-1.4)lf)
 * matrixCompMult(dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf), dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf)) => dmat2(np.float64(0.016900000000000002)lf, np.float64(1.9599999999999997)lf, np.float64(0.7569)lf, np.float64(1.9599999999999997)lf)
 */
#version 400

void main()
{
  double[(distance(matrixCompMult(dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf), dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf))[0], dvec2(np.float64(2.5600000000000005)lf, np.float64(2.3409)lf)) * distance(matrixCompMult(dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf), dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf))[0], dvec2(np.float64(2.5600000000000005)lf, np.float64(2.3409)lf))) + (distance(matrixCompMult(dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf), dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf))[1], dvec2(np.float64(0.5776)lf, np.float64(1.0)lf)) * distance(matrixCompMult(dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf), dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf))[1], dvec2(np.float64(0.5776)lf, np.float64(1.0)lf))) <= np.float64(1.3367034570000004e-09)lf ? 1 : -1] array0;
  double[(distance(matrixCompMult(dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf), dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf))[0], dvec2(np.float64(-0.20800000000000002)lf, np.float64(-2.142)lf)) * distance(matrixCompMult(dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf), dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf))[0], dvec2(np.float64(-0.20800000000000002)lf, np.float64(-2.142)lf))) + (distance(matrixCompMult(dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf), dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf))[1], dvec2(np.float64(-0.6612)lf, np.float64(-1.4)lf)) * distance(matrixCompMult(dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf), dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf))[1], dvec2(np.float64(-0.6612)lf, np.float64(-1.4)lf))) <= np.float64(7.028613440000002e-10)lf ? 1 : -1] array1;
  double[(distance(matrixCompMult(dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf), dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf))[0], dvec2(np.float64(-0.20800000000000002)lf, np.float64(-2.142)lf)) * distance(matrixCompMult(dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf), dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf))[0], dvec2(np.float64(-0.20800000000000002)lf, np.float64(-2.142)lf))) + (distance(matrixCompMult(dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf), dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf))[1], dvec2(np.float64(-0.6612)lf, np.float64(-1.4)lf)) * distance(matrixCompMult(dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf), dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf))[1], dvec2(np.float64(-0.6612)lf, np.float64(-1.4)lf))) <= np.float64(7.028613440000002e-10)lf ? 1 : -1] array2;
  double[(distance(matrixCompMult(dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf), dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf))[0], dvec2(np.float64(0.016900000000000002)lf, np.float64(1.9599999999999997)lf)) * distance(matrixCompMult(dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf), dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf))[0], dvec2(np.float64(0.016900000000000002)lf, np.float64(1.9599999999999997)lf))) + (distance(matrixCompMult(dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf), dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf))[1], dvec2(np.float64(0.7569)lf, np.float64(1.9599999999999997)lf)) * distance(matrixCompMult(dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf), dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf))[1], dvec2(np.float64(0.7569)lf, np.float64(1.9599999999999997)lf))) <= np.float64(8.256383219999996e-10)lf ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
