/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * fract(vec3(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667))) => vec3(np.float32(0.0), np.float32(0.3333333), np.float32(0.6666667))
 * fract(vec3(np.float32(2.0), np.float32(-2.0), np.float32(-0.6666667))) => vec3(np.float32(0.0), np.float32(0.0), np.float32(0.3333333))
 */
#version 150

void main()
{
  float[distance(fract(vec3(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667))), vec3(np.float32(0.0), np.float32(0.3333333), np.float32(0.6666667))) <= np.float32(7.4535596e-06) ? 1 : -1] array0;
  float[distance(fract(vec3(np.float32(2.0), np.float32(-2.0), np.float32(-0.6666667))), vec3(np.float32(0.0), np.float32(0.0), np.float32(0.3333333))) <= np.float32(3.333333e-06) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
