/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * matrixCompMult(mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)), mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0))) => mat2(np.float32(2.5600002), np.float32(2.3409), np.float32(0.5776), np.float32(1.0))
 * matrixCompMult(mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)), mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4))) => mat2(np.float32(-0.20799999), np.float32(-2.142), np.float32(-0.6612), np.float32(-1.4))
 * matrixCompMult(mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)), mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0))) => mat2(np.float32(-0.20799999), np.float32(-2.142), np.float32(-0.6612), np.float32(-1.4))
 * matrixCompMult(mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)), mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4))) => mat2(np.float32(0.0169), np.float32(1.9599999), np.float32(0.7569), np.float32(1.9599999))
 */
#version 150

void main()
{
  float[pow(distance(matrixCompMult(mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)), mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[0], vec2(np.float32(2.5600002), np.float32(2.3409))), 2) + pow(distance(matrixCompMult(mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)), mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[1], vec2(np.float32(0.5776), np.float32(1.0))), 2) <= np.float32(1.3367035e-09) ? 1 : -1] array0;
  float[pow(distance(matrixCompMult(mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)), mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[0], vec2(np.float32(-0.20799999), np.float32(-2.142))), 2) + pow(distance(matrixCompMult(mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)), mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[1], vec2(np.float32(-0.6612), np.float32(-1.4))), 2) <= np.float32(7.028613e-10) ? 1 : -1] array1;
  float[pow(distance(matrixCompMult(mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)), mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[0], vec2(np.float32(-0.20799999), np.float32(-2.142))), 2) + pow(distance(matrixCompMult(mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)), mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[1], vec2(np.float32(-0.6612), np.float32(-1.4))), 2) <= np.float32(7.028613e-10) ? 1 : -1] array2;
  float[pow(distance(matrixCompMult(mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)), mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[0], vec2(np.float32(0.0169), np.float32(1.9599999))), 2) + pow(distance(matrixCompMult(mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)), mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[1], vec2(np.float32(0.7569), np.float32(1.9599999))), 2) <= np.float32(8.256383e-10) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
